DtDndCreateSourceIcon(library call)

NAME
DtDndCreateSourceIcon — create a drag source icon

SYNOPSIS

#include &<Dt/Dnd.h>
Widget DtDndCreateSourceIcon(
Widget parent,
Pixmap pixmap,
Pixmap mask);

DESCRIPTION

The DtDndCreateSourceIcon function creates a Motif drag icon, named sourceIcon, based on the characteristics of the pixmap argument. The resulting drag icon is suitable for use with DtDndDragStart(3).

The parent argument is the parent of the drag icon. Typically this widget is the drag source.

The pixmap argument is the pixmap representation of the data to be dragged.

The mask argument is the mask for the pixmap.

When it calls XmCreateDragIcon(3), the DtDndCreateSourceIcon function sets Motif resources in the drag icon; the application must not modify the values of any of these resources:

•   XmNwidth

•   XmNheight

•   XmNpixmap

•   XmNmask

•   XmNdepth

RETURN VALUE

Upon successful completion, the DtDndCreateSourceIcon function returns a drag icon created by calling XmCreateDragIcon(3) with the characteristics of the pixmap; otherwise, it returns NULL.

SEE ALSO

Dt/Dnd.h - DtDnd(5), DtDndDragStart(3), XmCreateDragIcon(3), XmDragIcon(3), XmDragStart(3), XtDestroyWidget(3).